# pandas.Timestamp.replace

`Timestamp.``replace`()

  implements datetime.replace, handles nanoseconds

  Parameters:

  year : int, optional

  month : int, optional

  day : int, optional

  hour : int, optional

  minute : int, optional

  second : int, optional

  microsecond : int, optional

  nanosecond: int, optional

  tzinfo : tz-convertible, optional

  fold : int, optional, default is 0

  > added in 3.6, NotImplemented

  Returns: | Timestamp with fields replaced

Scroll To Top